Create translation

post/v1/audio/translations

Translate audio into English text.

Authentication

Send your OLETOKEN API key as a Bearer token. Keys are created on the API Keys page of the console.

Authorization: Bearer $OLETOKEN_API_KEY

Request body

Content-Type:multipart/form-data

FieldTypeRequiredDescription
filestring—
modelstring—
promptstring——
response_formatstring——
temperaturenumber——

Responses

200Translation created

FieldTypeRequiredDescription
textstring——

Example request

curl -X POST 'https://api.oletoken.ai/v1/audio/translations' \
  -H "Authorization: Bearer $OLETOKEN_API_KEY" \
  -F 'file=' \
  -F 'model='